<?php

function content_type_extras_settings() {
  $form = array(
    'intro' => array(
      '#markup' => t('Set the default settings for all new content types below. These settings can be overridden on the content type creation page.'),
    ),
    'content_type_extras' => array(
      '#type' => 'vertical_tabs',
      'submission' => array(
        '#type'  => 'fieldset',
        '#title' => t('Submission form settings'),
        'content_type_extras_title_label' => array(
          '#type'          => 'textfield',
          '#title'         => t('Title field label'),
          '#default_value' => variable_get('content_type_extras_title_label', 'Title'),
          '#required'      => 1,
        ),
        'content_type_extras_node_preview' => array(
          '#type'    => 'radios',
          '#title'   => t('Preview before submitting'),
          '#options' => array(
            t('Disabled'),
            t('Optional'),
            t('Required'),
          ),
          '#default_value' => variable_get('content_type_extras_node_preview', 1),
        ),
        'content_type_extras_node_save_new' => array(
          '#type'    => 'radios',
          '#title'   => t('Save and New button'),
          '#options' => array(
            t('Disabled'),
            t('Enabled'),
          ),
          '#default_value' => variable_get('content_type_extras_node_save_new', 0),
        ),
        'content_type_extras_save_and_new_button_value' => array(
          '#type'          => 'textfield',
          '#title'         => t('Save and New button value'),
          '#description'   => t('The name of the Save and New button that will display on the content edit form if enabled'),
          '#default_value' => variable_get('content_type_extras_save_and_new_button_value', 'Save and New'),
          '#required'      => 1,
        ),
        'content_type_extras_node_save_edit' => array(
          '#type'    => 'radios',
          '#title'   => t('Save and Edit button'),
          '#options' => array(
            t('Disabled'),
            t('Enabled'),
          ),
          '#default_value' => variable_get('content_type_extras_node_save_edit', 0),
        ),
        'content_type_extras_save_and_edit_button_value' => array(
          '#type'          => 'textfield',
          '#title'         => t('Save and Edit button value'),
          '#description'   => t('The name of the Save and Edit button that will display on the content edit form if enabled'),
          '#default_value' => variable_get('content_type_extras_save_and_edit_button_value', 'Save and Edit'),
          '#required'      => 1,
        ),
      ),
      'publishing' => array(
        '#type'  => 'fieldset',
        '#title' => t('Publishing options'),
        'content_type_extras_node_options' => array(
          '#type'    => 'checkboxes',
          '#title'   => t('Default options'),
          '#options' => array(
            'status'   => t('Published'),
            'promote'  => t('Promoted to front page'),
            'sticky'   => t('Sticky at top of lists'),
            'revision' => t('Create new revision'),
          ),
          '#default_value' => variable_get('content_type_extras_node_options', array('status', 'promote')),
        ),
      ),
      'display' => array(
        '#type'  => 'fieldset',
        '#title' => t('Display settings'),
        'content_type_extras_node_submitted' => array(
          '#type'          => 'checkbox',
          '#title'         => t('Display author and date information.'),
          '#description'   => t('Author username and publish date will be displayed.'),
          '#default_value' => variable_get('content_type_extras_node_submitted', 1),
        ),
      ),
      'user_permissions' => array(
        '#type'  => 'fieldset',
        '#title' => t('User permissions'),
        '#description'   => t('These settings will not affect any content types that are already created.'),
        'content_type_extras_user_permissions_create' => array(
          '#type'          => 'checkboxes',
          '#title'         => t('Default CREATE permissions for new content types'),
          '#options'       => user_roles(),
          '#default_value' => variable_get('content_type_extras_user_permissions_create', array()),
        ),
        'content_type_extras_user_permissions_edit' => array(
          '#type'          => 'checkboxes',
          '#title'         => t('Default EDIT permissions for new content types'),
          '#options'       => user_roles(),
          '#default_value' => variable_get('content_type_extras_user_permissions_edit', array()),
        ),
        'content_type_extras_user_permissions_delete' => array(
          '#type'          => 'checkboxes',
          '#title'         => t('Default DELETE permissions for new content types'),
          '#options'       => user_roles(),
          '#default_value' => variable_get('content_type_extras_user_permissions_delete', array()),
        ),
      ),
    ),
    
  );
  
  if (module_exists('xmlsitemap')) {
    $form['content_type_extras']['xmlsitemap'] = array(
      '#type' => 'fieldset',
      '#title' => t('XML Sitemap'),
      'content_type_extras_xmlsitemap_status' => array(
        '#type' => 'select',
        '#title' => t('Inclusion'),
        '#options' => array(
          1 => t('Included'),
          0 => t('Excluded'),
        ),
        '#default_value' => variable_get('content_type_extras_xmlsitemap_status', 0),
      ),
      'content_type_extras_xmlsitemap_priority' => array(
        '#type' => 'select',
        '#title' => t('Default priority'),
        '#options' => array(
          '1.0' => t('1.0 (highest)'),
          '0.9' => '0.9',
          '0.8' => '0.8',
          '0.7' => '0.7',
          '0.6' => '0.6',
          '0.5' => t('0.5 (normal)'),
          '0.4' => '0.4',
          '0.3' => '0.3',
          '0.2' => '0.2',
          '0.1' => '0.1',
          '0.0' => t('0.0 (lowest)'),
        ),
        '#default_value' => variable_get('content_type_extras_xmlsitemap_priority', '0.5'),
      ),
    );
  }

  return system_settings_form($form);
}